summaryrefslogtreecommitdiffstats
path: root/projectroot/etc/init.d/lvm2
diff options
context:
space:
mode:
Diffstat (limited to 'projectroot/etc/init.d/lvm2')
-rw-r--r--projectroot/etc/init.d/lvm224
1 files changed, 24 insertions, 0 deletions
diff --git a/projectroot/etc/init.d/lvm2 b/projectroot/etc/init.d/lvm2
new file mode 100644
index 000000000..475225e58
--- /dev/null
+++ b/projectroot/etc/init.d/lvm2
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Setting up Logical Volume Management
+#
+case "$1" in
+ start)
+ echo "Setting up LVM2..."
+ if /usr/sbin/lvm vgscan > /dev/null 2>&1; then
+ /usr/sbin/lvm vgchange -a y
+ echo "done"
+ else
+ echo "failed"
+ exit 1
+ fi
+ ;;
+ stop)
+ echo "Stopping LVM2"
+ /usr/sbin/lvm vgchange -a n
+ ;;
+ *)
+ echo "usage: $0 [start|stop]"
+ exit 1
+ ;;
+esac